Bug #843: RubyGems で使用されていないライブラリがある
http://redmine.ruby-lang.org/issues/show/843

起票者: okkez _
ステータス: Open, 優先度: Normal
カテゴリ: lib

リファレンスを書いていて気付いたのですが、RubyGems で使用されていないファイルが
含まれています。整理した方がいいかと思うのですがいかがでしょうか?

* rubygems/test_utilities.rb : テスト専用なので名前を変えて test/ 以下に移動?
* rubygems/timer.rb : デバッグと簡易ベンチマーク用。通常は使われていない。
* rubygems/digest/digest_adapter.rb : Ruby1.9.1 では不要。正確には Ruby1.8.6 以降で不要。
* 前項を整理するなら rubygems/digest/{md5,sha1,sha2}.rb 内にも関連するコードがあります。


----------------------------------------
http://redmine.ruby-lang.org